OrdersGet Order by ID

Get Order by ID

curl -X GET "https://sandbox-api.aparatech.io/v1/public/orders/example_string" \
  -H "Content-Type: application/json" \
  -H "MID: example_string"
{
  "status": "success",
  "data": {
    "id": "OR-241202061601224",
    "status": "asset_settled",
    "type": "payin",
    "purposeCode": "Payroll processing",
    "source": {
      "currency": "ETH",
      "amount": "1"
    },
    "userId": "OCUX-241202060641625",
    "senderName": {
      "firstName": "Shubham",
      "lastName": "Mishra"
    },
    "partnerContext": {
      "test": "value"
    },
    "fees": {
      "networkFee": 0,
      "processingFee": 0
    }
  }
}
GET
/v1/public/orders/{orderId}
GET
Base URLstring

Target server for requests. Edit to use your own host.

path
orderIdstring
Required

Unique identifier of the order.

header
MIDstring
Required

Merchant ID for authentication.

Request Preview
Response

Response will appear here after sending the request

Path Parameters

orderIdstring
Required

Unique identifier of the order.

Headers

MIDstring
Required

Merchant ID for authentication.

Responses

statusstring
dataobject
Was this page helpful?